Subject: [Pce] I-D Action: draft-ietf-pce-stateful-pce-p2mp-07.txt

From: [email-masked]
Date: Tue, 24 Apr 2018 21:59:26 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Path Computation Element WG of the IETF.

        Title           : Path Computation Element (PCE) Protocol Extensions for Stateful PCE usage for Point-to-Multipoint Traffic Engineering Label Switched Paths
        Authors         : Udayasree Palle
                          Dhruv Dhody
                          Yosuke Tanaka
                          Vishnu Pavan Beeram
	Filename        : draft-ietf-pce-stateful-pce-p2mp-07.txt
	Pages           : 33
	Date            : 2018-04-24

Abstract:
   The Path Computation Element (PCE) has been identified as an
   appropriate technology for the determination of the paths of point-
   to-multipoint (P2MP) TE Label Switched Paths (LSPs).  This document
   provides extensions required for Path Computation Element
   Communication Protocol (PCEP) so as to enable the usage of a stateful
   PCE capability in supporting P2MP TE LSPs.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-pce-stateful-pce-p2mp/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-pce-stateful-pce-p2mp-07
https://datatracker.ietf.org/doc/html/draft-ietf-pce-stateful-pce-p2mp-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-pce-stateful-pce-p2mp-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 25 Apr 2018 05:05:52 +0000

Hi WG, 

This update reflects the early code point allocated by IANA, as well as adds this text - 

6.7.  Adding and Pruning Leaves to/from the P2MP Tree

   Section 3.10 of [RFC8306] defines the error-handling procedures when
   adding new leaves to or removing old leaves from the existing P2MP
   tree for PCReq message.  The same error handling and error-codes are
   also applicable to the stateful PCE messages as described in this
   document. 

...to clarify that the error handling of incorrect P2MP ENDPOINT object is applied to Stateful messages as well. 

Thanks! 
Dhruv

--
Dhruv Dhody 
Lead Architect
Network Business Line
Huawei Technologies India Pvt. Ltd.
Survey No. 37, Next to EPIP Area, Kundalahalli, Whitefield
Bengaluru, Karnataka - 560066 
Tel: + 91-80-49160700 Ext 71583 II Email: [email-masked]

This e-mail and its attachments contain confidential information from HUAWEI, which 
is intended only for the person or entity whose address is listed above. Any use of the 
information contained herein in any way (including, but not limited to, total or partial 
disclosure, reproduction, or dissemination) by persons other than the intended 
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by 
phone or email immediately and delete it!

> -----Original Message-----
> From: Pce [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: 25 April 2018 10:29
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Pce] I-D Action: draft-ietf-pce-stateful-pce-p2mp-07.txt
> 
> 
>         Title           : Path Computation Element (PCE) Protocol
> Extensions for Stateful PCE usage for Point-to-Multipoint Traffic
> Engineering Label Switched Paths
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce